Gecode::Gist::NodeAllocatorBase< T > Class Template Reference

Node allocator. More...

`#include <node.hh>`

## Public Member Functions

| NodeAllocatorBase (bool bab)
| Constructor.
| ~NodeAllocatorBase (void)
| Destructor.
int | allocate (int p)
| Allocate new node with parent p.
int | allocate (Space *root)
| Allocate new root node for space root.
T * | operator[] (int i) const
| Return node for index i.
T * | best (int i) const
| Return index of best node before i.
void | setBest (int i, int b)
| Set index of best node before i to b.
bool | bab (void) const
| Return branch-and-bound flag.
bool | showLabels (void) const
| Return branching label flag.
void | showLabels (bool b)
| Set branching label flag.
bool | hasLabel (T *n) const
| Return whether node n has a label.
void | setLabel (T *n, const QString &l)
| Set label of node n to l.
void | clearLabel (T *n)
| Remove label of node n.
QString | getLabel (T *n) const
| Get label of node n.

## Detailed Description

template<class T>
class Gecode::Gist::NodeAllocatorBase< T >

Node allocator.

Definition at line 48 of file node.hh.

## Constructor & Destructor Documentation

## NodeAllocatorBase()

template<class T>

Gecode::Gist::NodeAllocatorBase< T >::NodeAllocatorBase | ( | bool | bab | ) |

Constructor.

Definition at line 50 of file node.hpp.

## ~NodeAllocatorBase()

template<class T>

Gecode::Gist::NodeAllocatorBase< T >::~NodeAllocatorBase | ( | void |  | ) |

Destructor.

Definition at line 59 of file node.hpp.

## Member Function Documentation

## allocate() [1/2]

template<class T>

int Gecode::Gist::NodeAllocatorBase< T >::allocate | ( | int | p | ) |

inline

Allocate new node with parent p.

Definition at line 67 of file node.hpp.

## allocate() [2/2]

template<class T>

int Gecode::Gist::NodeAllocatorBase< T >::allocate | ( | Space * | root | ) |

inline

Allocate new root node for space root.

Definition at line 78 of file node.hpp.

## operator[]()

template<class T>

T * Gecode::Gist::NodeAllocatorBase< T >::operator[] | ( | int | i | ) | const

inline

Return node for index i.

Definition at line 89 of file node.hpp.

## best()

template<class T>

T * Gecode::Gist::NodeAllocatorBase< T >::best | ( | int | i | ) | const

inline

Return index of best node before i.

Definition at line 97 of file node.hpp.

## setBest()

template<class T>

void Gecode::Gist::NodeAllocatorBase< T >::setBest | ( | int | i,
|  | int | b )

inline

Set index of best node before i to b.

Definition at line 106 of file node.hpp.

## bab()

template<class T>

bool Gecode::Gist::NodeAllocatorBase< T >::bab | ( | void |  | ) | const

inline

Return branch-and-bound flag.

Definition at line 114 of file node.hpp.

## showLabels() [1/2]

template<class T>

bool Gecode::Gist::NodeAllocatorBase< T >::showLabels | ( | void |  | ) | const

inline

Return branching label flag.

Definition at line 120 of file node.hpp.

## showLabels() [2/2]

template<class T>

void Gecode::Gist::NodeAllocatorBase< T >::showLabels | ( | bool | b | ) |

Set branching label flag.

## hasLabel()

template<class T>

bool Gecode::Gist::NodeAllocatorBase< T >::hasLabel | ( | T * | n | ) | const

Return whether node n has a label.

Definition at line 126 of file node.hpp.

## setLabel()

template<class T>

void Gecode::Gist::NodeAllocatorBase< T >::setLabel | ( | T * | n,
|  | const QString & | l )

Set label of node n to l.

Definition at line 132 of file node.hpp.

## clearLabel()

template<class T>

void Gecode::Gist::NodeAllocatorBase< T >::clearLabel | ( | T * | n | ) |

Remove label of node n.

Definition at line 138 of file node.hpp.

## getLabel()

template<class T>

QString Gecode::Gist::NodeAllocatorBase< T >::getLabel | ( | T * | n | ) | const

Get label of node n.

Definition at line 144 of file node.hpp.

The documentation for this class was generated from the following files:

- gecode/gist/node.hh
- gecode/gist/node.hpp